{{!
    This file is part of Moodle - http://moodle.org/

    Moodle is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Moodle is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
}}
{{!
    @template block_myoverview/view-cards

    This template renders the cards view for the myoverview block.

    Example context (json):
    {
        "courses": [
            {
                "name": "Assignment due 1",
                "viewurl": "https://moodlesite/course/view.php?id=2",
                "courseimage": "https://moodlesite/pluginfile/123/course/overviewfiles/123.jpg",
                "fullname": "course 3",
                "hasprogress": true,
                "progress": 10,
                "coursecategory": "Category 1",
                "visible": true
            }
        ]
    }
}}

{{< core_course/coursecards }}
    {{$menu}}
        <div class="card-footer dashboard-card-footer menu border-0 bg-white ml-auto">
            {{> block_myoverview/course-action-menu }}
        </div>
    {{/menu}}
    {{$progress}}
        {{#hasprogress}}
            <div class="card-footer dashboard-card-footer border-0 bg-white w-100">
                {{> block_myoverview/progress-bar}}
            </div>
        {{/hasprogress}}
    {{/progress}}
    {{$coursename}}
        <span class="multiline{{^visible}} text-muted{{/visible}}">
            {{#shortentext}}50, {{{fullname}}} {{/shortentext}}
        </span>
    {{/coursename}}
    {{$coursecategory}}
        {{#showcoursecategory}}
            <span class="sr-only">
                {{#str}}aria:coursecategory, core_course{{/str}}
            </span>
            <span class="categoryname text-truncate">
                {{{coursecategory}}}
            </span>
        {{/showcoursecategory}}
    {{/coursecategory}}
    {{$divider}}
        {{#showcoursecategory}}
            <div class="pl-1 pr-1">|</div>
        {{/showcoursecategory}}
    {{/divider}}
{{/ core_course/coursecards }}
